from wcs.wf.geolocate import GeolocateWorkflowStatusItem
from qommon.form import MapWidget

result = ''

coords = vars().get('form_var_carte')

if not coords and 'form_var_numero' in vars():
    geolocate = GeolocateWorkflowStatusItem()
    geolocate.method = 'address_string'
    geolocate.address_string = '[form_var_numero] [form_var_voie], [form_var_commune], France'
    coords = geolocate.geolocate_address_string(None)
    coords = '%(lat)s;%(lon)s' % coords

if coords:
    map_widget = MapWidget('geo', readonly=True, value=coords,
            initial_zoom=16)
    result = '''
       <link href="%s/static/css/combo.map.css" type="text/css" media="all" rel="stylesheet">
       <div id="similar" data-geojson-url="%s">%s</div>
    ''' % (portal_user_url,
           '/geojsons/%s.json' % form_slug,
           map_widget.render())
